{{ if .Values.smokeTest.enabled }}
apiVersion: batch/v1
kind: Job
metadata:
  name: "post-install-wait-for-ingress-ip"
  annotations:
    # This is what defines this resource as a hook. Without this line, the
    # job is considered part of the release.
    "helm.sh/hook": post-install
    "helm.sh/hook-delete-policy": hook-succeeded
spec:
  backoffLimit: 1
  parallelism: 1
  completions: 1
  template:
    metadata:
      name: "{{ .Release.Name }}"
    spec:
      restartPolicy: Never
      containers:
      - name: post-install-wait-for-ingress-ip
        image: "curlimages/curl:8.2.1"
        command: ["/bin/sh", "-c"]
        args: 
          - |
            #!/bin/sh

            set -x
            # Try curl on example.com with exponential backoff and unlimited retries
            # until it succeeds.
            curl {{ if .Values.smokeTest.skipVerify }}--insecure{{ end }} --connect-timeout 5 --verbose --retry 99999999 --retry-connrefused --retry-max-time 1200 {{ .Values.smokeTest.urlToWaitFor }}
{{ end }}